import { Component, Input, ViewChild, ElementRef, Output, EventEmitter } from '@angular/core';
var NgxMaterialDialComponent = /** @class */ (function () {
    function NgxMaterialDialComponent() {
        this.value = 180;
        this.valueChange = new EventEmitter();
    }
    NgxMaterialDialComponent.prototype.onClick = function (e) {
        this.value = this.calcAngle(e.offsetX, e.offsetY);
        this.valueChange.emit(this.value);
        this.redraw();
    };
    NgxMaterialDialComponent.prototype.calcAngle = function (x, y) {
        return Math.round(Math.atan2(y - 50, x - 50) * (180 / Math.PI)) + 90;
    };
    NgxMaterialDialComponent.prototype.redraw = function () {
        this.rootElement.nativeElement.style.transform = 'rotate(' + this.value + 'deg)';
    };
    NgxMaterialDialComponent.prototype.ngOnInit = function () {
        this.redraw();
    };
    NgxMaterialDialComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngx-material-dial',
                    templateUrl: './dial.component.html',
                    styleUrls: ['./dial.component.css']
                },] },
    ];
    /** @nocollapse */
    NgxMaterialDialComponent.propDecorators = {
        "rootElement": [{ type: ViewChild, args: ['rootElement',] },],
        "value": [{ type: Input },],
        "valueChange": [{ type: Output },],
    };
    return NgxMaterialDialComponent;
}());
export { NgxMaterialDialComponent };
//# sourceMappingURL=dial.component.js.map